Bulk Edit of Custom Fields
Status: Closed Start date: 2009-01-22

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

This patch should list available custom fields for the tasks concerned for bulk edit.

See here:

 Screenshot_16.jpg 

Related issues:

Related to Redmine - Feature #461: Support bulk updating of custom fields Closed

Has duplicate Redmine - Defect #3923: Issue custom fields are not showing whe... Closed 2009-09-25

History

#1 - 2009-01-22 12:11 - Ewan Makepeace

For feature request #461

#2 - 2009-01-24 10:00 - Jean-Philippe Lang

Ewan, the attached file is not a patch but a html file.

Can you reupload it please?

#3 - 2009-01-25 17:00 - Jean-Philippe Lang

- Status changed from New to Closed

Feature added in r2316.

#4 - 2009-01-28 05:37 - Ewan Makepeace

- File custom_filed_bulk_edit_trunk.diff added

Many apologies - I did not realise how Redmine handles text files. Original patch attached for completeness.

#5 - 2009-06-22 11:32 - Benjamin Baroukh

Hi, is this feature going to go in the 0.8-stable branch ?

#6 - 2009-08-03 23:14 - Reach Everywhere

- Status changed from Closed to Reopened

I setup this patch on 0.8.0 which resulted in an 'internal server error' anytime I hit edit. So I gave up and upgraded to 0.8.4 which I assume from

comment #3 would include this feature, but still none of my custom fields show up in bulk_edit.

Also, could this feature be expanded to include adding custom fields to the dropdown menu where you select edit?

Sorry if I should not have changed the status, but I didn't know if anyone would look at this otherwise.

#7 - 2009-08-06 11:15 - Benjamin Baroukh

Can someone please confirm that this feature is not available for the 0.8.XX branch ?

#8 - 2009-09-17 14:48 - Christophe Absil

Hi, just installed the new 0.8.5 and this patch was not included. I don't know if this was ment so.
But the patch is working fine, really impressed.

#9 - 2009-09-17 14:49 - Christophe Absil

Oups forgot something. Is this patch included in the 0.9.x version ? I hope so, otherwise I will have to remember that I applied this patch when

upgrading to 0.9.x.

#10 - 2009-11-12 01:40 - VM Weseloh

+1 for including this in the 0.9.x version.

#11 - 2009-11-13 12:42 - Matt H

I can't get this patch to work. I've update the files, but get an 'internal server error' and this error in logs/production.log

ActionView::TemplateError (undefined method `each' for nil:NilClass) on line #43 of issues/bulk_edit.rhtml:

40: </p>

41: 

42: <p>

43:    <% @custom_fields.each do | field | %>

44:          <%= content_tag "label", field.name,:for => "custom_fields_#{field.id}" %>: <%= custom_field_tag_

bulk_edit field %>

45:    <% end %>

46: </p>

 I assume the patch has worked for other people, so I wonder if they could post if they had the same error?

#12 - 2009-11-13 14:53 - RedminePro Yang

- File custom_filed_in_bulk_edit_for_r3034.diff added

As I found, this feature already included in trunk version (r3034).

But I think we should show

@project.all_issue_custom_fields

instead of

@project.issue_custom_fields

See attached

#13 - 2010-01-03 12:12 - Jean-Philippe Lang

- Status changed from Reopened to Closed

See #461.

Files

custom_filed_in_bulk_edit.patch 16.5 KB 2009-01-22 Ewan Makepeace

Screenshot_16.jpg 24.8 KB 2009-01-22 Ewan Makepeace

custom_filed_bulk_edit_trunk.diff 3.48 KB 2009-01-28 Ewan Makepeace

custom_filed_in_bulk_edit_for_r3034.diff 769 Bytes 2009-11-13 RedminePro Yang
